#
# spec file for package python-wrapt
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2015 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-wrapt
Version:        1.10.10
Release:        3.3
Summary:        A Python module for decorators, wrappers and monkey patching
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            https://github.com/GrahamDumpleton/wrapt
Source:         https://pypi.io/packages/source/w/wrapt/wrapt-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%python_subpackages

%description
The aim of the **wrapt** module is to provide a transparent object proxy
for Python, which can be used as the basis for the construction of function
wrappers and decorator functions.

The **wrapt** module focuses very much on correctness. It therefore goes
way beyond existing mechanisms such as ``functools.wraps()`` to ensure that
decorators preserve introspectability, signatures, type checking abilities
etc. The decorators that can be constructed using this module will work in
far more scenarios than typical decorators and provide more predictable and
consistent behaviour.

To ensure that the overhead is as minimal as possible, a C extension module
is used for performance critical components. An automatic fallback to a
pure Python implementation is also provided where a target system does not
have a compiler to allow the C extension to be compiled.

Documentation
-------------

For further information on the **wrapt** module see:

* http://wrapt.readthedocs.org/

%prep
%setup -q -n wrapt-%{version}

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitearch}/*

%changelog
* Sun Jul  9 2017 adrian@suse.de
- update to version 1.10.10:
  * Added back missing description and categorisations when releasing
  to PyPi.
  * Code for inspect.getargspec() when using Python 2.6 was missing
  import of sys module.
* Mon Feb 27 2017 jmatejek@suse.com
- update for singlespec
* Thu Sep  1 2016 tbechtold@suse.com
  update to version 1.10.8
  * Increment version to 1.10.8.
  * Fix modulo operator on ObjectProxy
  * Increment version to 1.10.7.
  * Document mod operator bug in Python variant of object proxy.
  * Update copyright year.
  * Fix tests for floordiv and mod.
  * Remove reference to inspect.getargspec() as removed in Python 3.6. #64
- Use pypi.io as Source url
* Tue Feb 16 2016 michael@stroeder.com
- update to 1.10.6
* Tue Nov  4 2014 hpj@urpla.net
- version 1.9: initial build
